#
# spec file for package ignuit
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ignuit
Version:        2.20.0
Release:        17.5
Summary:        Flashcard learning system
License:        GPL-3.0+ and GPL-2.0
Group:          Amusements/Teaching/Other
Url:            http://savannah.gnu.org/projects/ignuit/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gstreamer010-devel
BuildRequires:  intltool
BuildRequires:  libgnomeui-devel
BuildRequires:  libxslt-devel
BuildRequires:  pkgconfig(libglade-2.0)
%gconf_schemas_prereq
PreReq:         %install_info_prereq

%description
Ignuit is a memorization aid based on the Leitner flashcard system.
It has a GNOME look and feel, a good selection of quiz options,
and supports UTF-8. It can be used for both long-term learning
and cramming. Ignuit can import and export several file formats,
including CSV.


%lang_package
%prep
%setup -q

%build
%configure --disable-scrollkeeper
make %{?_smp_mflags}

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications/
install -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
%if 0%{?suse_version}
%suse_update_desktop_file -i -n -r %{name} Education Languages
%endif

%find_gconf_schemas
%find_lang %{name}
cat %{name}.lang %{name}.schemas_list >%{name}.lst

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun -f %{name}.schemas_preun

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files -f %{name}.lst
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING COPYING.extras NEWS README TODO examples
%{_bindir}/*
%{_datadir}/applications/*
%dir %{_datadir}/gnome/help/%{name}
%dir %{_datadir}/gnome/help/%{name}/C
%dir %{_datadir}/gnome/help/%{name}/C/figures
%dir %{_datadir}/omf
%dir %{_datadir}/omf/%{name}
%doc %{_datadir}/gnome/help/%{name}/C/*.xml
%doc %{_datadir}/gnome/help/%{name}/C/figures/*.png
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/omf/%{name}/*.omf
%{_infodir}/%{name}.*
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Oct  8 2013 tchvatal@suse.com
- Fix build on factory.
* Sat Mar  3 2012 kkirill@opensuse.org
- updated to 2.20.0:
  + Added a manual page, an info page, and a Russian translation
  + Updated build files
* Sun Sep  4 2011 kirill.kirillov@gmail.com
- added ru.po (new Russian translation)
* Mon Aug 29 2011 kirill.kirillov@gmail.com
- cleaned spec using spec-cleaner
- fixed name in desktop file
* Wed Aug 24 2011 kirill.kirillov@gmail.com
- fixed license tag
- improved desktop file
* Sun Nov 29 2009 kirill.kirillov@gmail.com
- updated to 0.0.16:
  + Added a drop-down list of common licenses
  + Added a text entry box for license URI
  + Added a "Revert" button to undo accidental changes
  + Added an optional answer entry box to the quiz dialog
  + Added an option to make a backup before saving
  + DPI of LaTeX output can now be set via the preferences dialog
  + Initial support for tagging with strings, and for searching those tags
  + Several minor bugs have been fixed
* Fri Sep 25 2009 kirill.kirillov@gmail.com
- updated to 0.0.15:
  + Saving changes on computer shut down
  + Added US English and German language translations
  + Several minor bugs have been fixed
* Mon Apr 20 2009 kirill.kirillov@gmail.com
- updated to 0.0.14:
  + The package now uses the latest GNU build files
  + LaTeX support has been improved (transparent background and
    using user-supplied pre and postamble files if present)
  + Several minor bugs have been fixed
* Mon Apr  6 2009 kirill.kirillov@gmail.com
- update to 0.0.13:
  + Several new audio and search features were added
  + Initial support for LaTeX was also added
  + File properties can now include an optional homepage address
  + jMemorize and Mnemosyne compatibility have been improved
  + Icons and buttons now follow GNOME theme guidelines
  + Many other small changes were made
* Wed Mar  4 2009 kirill.kirillov@gmail.com
- updated to 0.0.12:
  + Various UI elements can now be optionally hidden or shown.
  + Cards can now be tagged, and there's a new search option for tagged cards.
  + Bugfix: Update the main window's status bar after resetting statistics.
* Sun Nov  9 2008 kirill.kirillov@gmail.com
- updated to 0.0.11:
  + Images and audio files can now be embedded in cards.
  + New formatting tags were added.
  + A memory leak was fixed.
* Sun Oct 26 2008 kirill.kirillov@gmail.com
- updated to 0.0.10:
  + Poll cards for expiry at the turn of each hour, and
    update the display accordingly.
  + Use colour to indicate categories containing expired cards.
  + Bugfixes
- release notes for 0.0.9
  + Set card expiry times according to the hour of testing.
  + Use separate textview widgets for the front, back, and details
    of the card.
- release notes for 0.0.8
  + Implemented Undo and Redo.
  + Implemented Cut, Copy, Paste and Delete.
  + New option to quiz using random card faces.
  + Add <left> and <right> tags for text alignment.
- release notes for 0.0.7
  + dialog-quiz.c: Implement simple HTML-like markup.
  + Allow a license to be specified for card files.
- release notes for 0.0.6
  + Allow regular expression searches
  + Allow hidden comments or search keywords in card text, introduced by
    double hash signs - e.g.: ## Checkme
  + Implement right-click menus in the Category and Card panes.
  + Cut/Copy/Paste for cards.
  + New filter to import KVocTrain files.
* Thu Sep 25 2008 lars@linux-schulserver.de
- moved to Education base repository
* Mon May 19 2008 lars@linux-schulserver.de
- fix rpm group
- use suse_update_desktop_file
- own %%{_datadir}/omf/ignuit
- INSTALL is already done by rpm ;-)
- mark the help files as documentation
* Tue Mar 11 2008 kirill.kirillov@gmail.com
- Initial build of version 0.0.5
